<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_25</title>
</head>
<body>
    <h1>Ejercicio 25</h1>
    <script>
    /*25) Programa una función que dado un arreglo de elementos, 
    elimine los duplicados, pe. miFuncion(["x", 10, "x", 2, "10", 
    10, true, true]) devolverá ["x", 10, 2, "10", true].*/

    const eliminarDupl = (arreglo = undefined) => {

        if (arreglo === undefined) return console.warn("No se ingreso un Arreglo de números");
        if (!(arreglo instanceof Array)) 
           return console.warn(`No es Arreglo`);
        if (arreglo.length === 0) return console.warn("El arreglo esta vacio");
        if (arreglo.length === 1) return console.warn("El arreglo debe tener mas de 1 elemento");


        return console.log( {
            original : arreglo,
            sinDuplicados : arreglo.filter((value, index, self) => self.indexOf(value) === index),
        })  
    }

    eliminarDupl(["x", 10, "x", 2, "10",10, true, true]);
    eliminarDupl(["x"]);
    eliminarDupl([]);
    eliminarDupl();

    </script>
    
</body>
</html>